#include <stdio.h>
#include <stdlib.h>
#include <usb.h>

#define FALSE   0
#define TRUE    1

#define GET_TEMP            0x01

int main(void) {
    struct usb_bus *bus;
    struct usb_device *dev;
    usb_dev_handle *udev;
    int dev_found, ret;
    char string[256];
    unsigned char buffer[8];
    
    usb_init();

    usb_find_busses();
    usb_find_devices();

    udev = NULL;
    dev_found = FALSE;
    for (bus = usb_get_busses(); bus && !dev_found; bus = bus->next) {
        for (dev = bus->devices; dev && !dev_found; dev = dev->next) {
            if ((dev->descriptor.idVendor == 0x04D8) && (dev->descriptor.idProduct == 0x0174)) {
                dev_found = TRUE;
                udev = usb_open(dev);
            }
        }
    }
    if (!dev_found) {
        printf("No matching device found...\n");
    }
    if (udev) {
        ret = usb_control_msg(udev, 0xC0, GET_TEMP, 0, 0, buffer, 1, 100);
        if (ret < 0) {
            printf("Unable to send vendor request, ret = %d...\n", ret);
        }
        // printf("Temp = %d°C\n", buffer[0]);
	printf("%d\n", buffer[0]);
        usb_close(udev);
    }
}
